import APIClient from '../../../utils/APIClient.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    title: '',
    bookList: [],
    line1: '您还没有课程哦',
    line2: '拥有了课程再来看看吧'
  },
  // 进入课本
  toCourse: function(e) {
    let productId = e.currentTarget.dataset.productid;
    let productTitle = e.currentTarget.dataset.producttitle;
    wx.navigateTo({
      url: `../../groupPage/grade-details/grade-details?productId=${productId}&title=${productTitle}`
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (option) {
    console.log(option.title);
    if (option.title) {
      wx.setNavigationBarTitle({
        title: option.title//页面标题为路由参数
      });
      this.setData({
        title: option.title
      });
    }
    APIClient.myCourse().success(res => {
      console.log(res.data.data.list);
      this.setData({
        bookList: res.data.data
      },() => {
        console.log(this.data.bookList);
      });
    }).fail(err => {
      console.log(err);
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})